package com.realnet.datalake.Services;
import com.realnet.datalake.Repository.Data_lakeRepository;
import com.realnet.datalake.Entity.Data_lake
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class Data_lakeService {
@Autowired
private Data_lakeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Data_lake Savedata(Data_lake data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Data_lake save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Data_lake> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Data_lake> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Data_lake> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Data_lake getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Data_lake update(Data_lake data,Integer id) {
	Data_lake old = Repository.findById(id).get();
old.setName(data.getName());

old.setUrl(data.getUrl());

old.setSchedule(data.getSchedule());

old.setCron_job(data.getCron_job());

old.setJson(data.getJson());

old.setGeturl(data.getGeturl());

final Data_lake test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
